import { module, test } from "qunit";
import { setupRenderingTest } from "frontend-reactive/tests/helpers";
import { render } from "@ember/test-helpers";
import { hbs } from "ember-cli-htmlbars";

module("Integration | Component | timeline/note", function (hooks) {
	setupRenderingTest(hooks);

	test("it renders", async function (assert) {
		// Set any properties with this.set('myProperty', 'value');
		// Handle any actions with this.set('myAction', function(val) { ... });

		await render(hbs`<Timeline::Note />`);

		assert.dom().hasText("");

		// Template block usage:
		await render(hbs`
      <Timeline::Note @username="bob" @content="some content"/>
    `);

		assert.dom("h3").hasText("bob");
		assert.dom("p").hasText("some content");
	});
});
